petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESSetNPC

Sets the nonlinear preconditioner to be used.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetNPC(SNES snes, SNES pc)

Collective on SNES Many br

### Input Parameters

| snes | - iterative context obtained from SNESCreate() Many br
| pc | - the preconditioner object Many br

### Notes

Use SNESGetNPC() to retrieve the preconditioner context (for example, Many brto configure it using the API). Many br

Many br

### Keywords

SNES, set, precondition

### See Also

SNESGetNPC(), SNESHasNPC()

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages